SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rtw_network_info Struct Reference
Ameba SDK » WLAN » NIC

The structure is used to describe the station mode setting about SSID, security type and password, used when connecting to an AP. More...

`#include <wifi_structures.h>`

## Data Fields
rtw_ssid_t | ssid
rtw_mac_t | bssid
rtw_security_t | security_type
unsigned char * | password
int | password_len
int | key_id

## Detailed Description

The structure is used to describe the station mode setting about SSID, security type and password, used when connecting to an AP.

Note
  The data length of string pointed by ssid and password should not exceed 32.

The documentation for this struct was generated from the following file:

- wifi_structures.h